Bug 25452 - Alternate email contact not displayed
Summary: Alternate email contact not displayed
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 18789
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-11 08:56 UTC by Jonathan Druart
Modified: 2020-06-12 01:07 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.07, 19.05.12


Attachments
Bug 25452: Restore alternate address email display (1.69 KB, patch)
2020-05-11 09:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25452: Restore alternate address email display (1.74 KB, patch)
2020-05-11 09:36 UTC, David Nind
Details | Diff | Splinter Review
Bug 25452: Restore alternate address email display (1.85 KB, patch)
2020-05-21 13:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-05-11 08:56:56 UTC
The B_email field of a patron is not display on the moremember page (patron view)
Comment 1 Jonathan Druart 2020-05-11 08:57:50 UTC
Caused by
  commit 0ab22e1c7c6b6e8d14a4fb7478ab2a3d42da347d
  Bug 18789: Send Koha::Patron object to the templates
Comment 2 Jonathan Druart 2020-05-11 09:00:20 UTC
Created attachment 104655 [details] [review]
Bug 25452: Restore alternate address email display

Broken since
  commit 0ab22e1c7c6b6e8d14a4fb7478ab2a3d42da347d
  Bug 18789: Send Koha::Patron object to the templates

Test plan:
Create or modify a patron, fill the "email" field of the "alternate
address" block (B_email)
Go to the detail view of the patron
=> Without this patch the email is not display
=> With this patch applied you see it!
Comment 3 David Nind 2020-05-11 09:36:27 UTC
Created attachment 104665 [details] [review]
Bug 25452: Restore alternate address email display

Broken since
  commit 0ab22e1c7c6b6e8d14a4fb7478ab2a3d42da347d
  Bug 18789: Send Koha::Patron object to the templates

Test plan:
Create or modify a patron, fill the "email" field of the "alternate
address" block (B_email)
Go to the detail view of the patron
=> Without this patch the email is not display
=> With this patch applied you see it!

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Katrin Fischer 2020-05-21 13:37:18 UTC
Created attachment 105196 [details] [review]
Bug 25452: Restore alternate address email display

Broken since
  commit 0ab22e1c7c6b6e8d14a4fb7478ab2a3d42da347d
  Bug 18789: Send Koha::Patron object to the templates

Test plan:
Create or modify a patron, fill the "email" field of the "alternate
address" block (B_email)
Go to the detail view of the patron
=> Without this patch the email is not display
=> With this patch applied you see it!

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=25252
Comment 5 Katrin Fischer 2020-05-21 13:37:42 UTC
Should be string safe
Comment 6 Martin Renvoize 2020-05-22 08:34:02 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Aleisha Amohia 2020-06-10 03:36:18 UTC
backported to 19.11.x for 19.11.07
Comment 8 Victor Grousset/tuxayo 2020-06-12 01:07:39 UTC
Backported to 19.05.x branch for 19.05.12